# $Revision: 1.36 $, $Date: 2002/11/11 17:30:46 $
#
# todo:
# - split plugins into subpackages
# - disable building libraries what exists in system (libdv,libmpeg2 etc.)
#

Summary:	Video stream converter
Summary(pl):	Konwerter strumieni video
Name:		transcode
Version:	0.6.1
Release:	2
License:	GPL
Group:		Applications
Source0:	http://www.theorie.physik.uni-goettingen.de/~ostreich/transcode/pre/%{name}-%{version}.tar.gz
Patch0:		%{name}-altivec.patch
Patch1:		%{name}-avifile.patch
URL:		http://www.theorie.physik.uni-goettingen.de/~ostreich/transcode/
BuildRequires:	ImageMagick-devel >= 5.4.3
BuildRequires:	a52dec-libs-devel
BuildRequires:	avifile-devel >= 0.6.0-0.20011220admin.1
BuildRequires:	lame-libs-devel
BuildRequires:	libdv-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libfame-devel
BuildRequires:	libmpeg3-devel
BuildRequires:	libxml2-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:	openquicktime-devel
BuildRequires:	quicktime4linux-devel >= 1.5.5
BuildRequires:	xvid-devel
BuildRequires:	XFree86-devel
BuildRequires:	SDL-devel
BuildRequires:	gtk+-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux Video Stream Processing Tool.

%description -l pl
Linuksowe narzdzie do obrbki strumieni video.

%package	avilib
Summary:	library to handle avi files from transcode
Summary(pl):	biblioteka do obrbki plikw avi pochodzca z transcode
Group:		Development/Libraries

%description	avilib
Avilib is part of transcode made accessible for other programs that require
it. So far I know of one such program -- ogmtools.

%description	avilib -l pl
Avifile jest czci programu transcode udostpnion dla innych programw,
ktre jej wymagaj. Jak na razie znam jeden taki program -- ogmtools.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
#%{__automake}
%configure \
	--with-avifile-mods \
	--with-avifile-exec-prefix=%{_prefix}/X11R6 \
	--with-lame \
	--with-lame-includes=%{_prefix} \
	--with-lame-libs=%{_prefix} \
	--with-ogg \
	--with-ogg-includes=%{_prefix} \
	--with-ogg-libs=%{_prefix} \
	--with-vorbis \
	--with-vorbis-includes=%{_prefix} \
	--with-vorbis-libs=%{_prefix} \
	--with-dvdread \
	--with-dvdread-includes=%{_prefix} \
	--with-dvdread-libs=%{_prefix} \
	--with-libmpeg3 \
	--with-libmpeg3-includes=%{_prefix} \
	--with-libmpeg3-libs=%{_prefix} \
	--with-qt \
	--with-qt-includes=%{_prefix} \
	--with-qt-libs=%{_prefix}/X11R6 \
	--with-openqt \
	--with-openqt-includes=%{_prefix}/X11R6 \
	--with-openqt-libs=%{_prefix}/X11R6 \
	--with-dv \
	--with-dv-includes=%{_prefix}/X11R6 \
	--with-dv-libs=%{_prefix}/X11R6 \
	--with-a52 \
	--with-a52-include=%{_prefix} \
	--with-a52-libs=%{_prefix} \
	--with-x \
	--with-sdl-prefix=%{_prefix}/X11R6 \
	--with-sdl-exec-prefix=%{_prefix}/X11R6 \
	--with-gtk-prefix=%{_prefix}/X11R6 \
	--with-gtk-exec-prefix=%{_prefix}/X11R6 \
	--with-libfame-prefix=%{_prefix} \
	--with-libfame-exec-prefix=%{_prefix} \
	--with-magick-mods \
	--with-magick-exec-prefix=%{_prefix}/X11R6 \
%ifarch ppc
	--without-altivec \
%endif
	--with-libjpeg-mods

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -D avilib/avilib.h $RPM_BUILD_ROOT/%{_includedir}/avilib.h
install avilib/libavi.a $RPM_BUILD_ROOT/%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog docs/README* docs/*.txt docs/html
%attr(755,root,root) %{_bindir}/*
# todo: split it into subpackages export-*, import-* and filter-*
%attr(755,root,root) %{_libdir}/%{name}/*.so*
%attr(755,root,root) %{_libdir}/%{name}/*.la
%{_mandir}/man1/*
%{_libdir}/%{name}/*.conf
%{_libdir}/%{name}/*.cfg

%files avilib
%defattr(644,root,root,755)
%doc avilib/README.avilib
%attr(644,root,root) %{_includedir}/avilib.h
%attr(644,root,root) %{_libdir}/libavi.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: transcode.spec,v $
Revision 1.36  2002/11/11 17:30:46  marcus
- really addedd avifile patch

Revision 1.35  2002/11/11 16:57:26  marcus
- rel.2.

Revision 1.34  2002/11/11 16:55:02  marcus
- fix for properly use HAVE_AVIFILE_INC

Revision 1.33  2002/11/09 17:02:14  marcus
- fixed compiling and forced using system's libs

Revision 1.32  2002/11/08 20:47:41  mmazur
- missing plugin

Revision 1.31  2002/09/25 11:23:59  wrobell
- ver. 0.6.1

Revision 1.30  2002/08/15 22:48:09  rrw
- added missing %%defattr in avilib subpackage;
- release 4;

Revision 1.29  2002/08/06 11:31:59  marcus
- (re)added todo :>

Revision 1.28  2002/08/06 11:05:48  marcus
- disabled altivec support on ppc (it is configureable
form %%configure)
- rel.3.

Revision 1.27  2002/08/03 04:11:11  rrw
- added avilib as a separate package (needed by ogmtools);
- release 2;

Revision 1.26  2002/08/02 11:18:47  wrobell
- final 0.6.0

Revision 1.25  2002/08/01 11:44:56  ankry
- removed BuildConflicts: ac3dec-devel
- typo

Revision 1.24  2002/08/01 07:28:29  wrobell
- ver. 0.6.0rc4

Revision 1.23  2002/07/24 12:29:35  kloczek
- !sort BuildRequires rules.

Revision 1.22  2002/07/15 11:42:31  wrobell
- ver. 0.6.0rc3

Revision 1.21  2002/06/23 10:19:49  mkochano
- Version 0.6.0rc2.

Revision 1.20  2002/06/13 10:45:31  wrobell
- 0.6.0rc1

Revision 1.19  2002/05/24 09:50:18  wrobell
- update for 0.6.0pre5

Revision 1.18  2002/05/21 23:14:51  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/29 17:49:48  wrobell
- more docs and manuals

Revision 1.16  2002/03/29 20:12:32  wrobell
- fixed build requirements

Revision 1.15  2002/03/29 15:55:06  wrobell
- ver. 0.6pre4

Revision 1.14  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/25 15:28:44  wrobell
- ver. 0.6.0pre3

Revision 1.12  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/28 12:25:12  wrobell
- adapterized, clean up

Revision 1.10  2002/01/28 11:44:57  wrobell
- huh! it conflicts with quicktime4linux or not?
- added two patches, so:
  - AS is substituted in Makefile files
  - when Magic-config is used then --cppflags option is passed
    instead of --cflags

Revision 1.9  2002/01/23 17:24:27  kloczek
- cosmetics.

Revision 1.8  2002/01/23 17:04:24  wrobell
- start update for 0.6.0pre2

Revision 1.7  2002/01/22 12:51:51  wrobell
- missing required avifile version added

Revision 1.6  2002/01/22 12:50:11  wrobell
- fixed build requirements and conflicts
- requires -fpermissive for g++ /there is 0.6.0pre2 - is it fixed there?/
- created file list, but let's split it into subpackages in the future

Revision 1.5  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/14 11:54:30  wrobell
- ver. 0.5.3
- sorted and fixed build requirements
- should build with dv library

Revision 1.3  2001/12/13 11:38:05  qboosh
- adapterized (for Groups)

Revision 1.2  2001/12/12 08:56:06  qboosh
- added URLs and descriptions; NOTE: empty %%files...

Revision 1.1  2001/11/29 13:43:20  wrobell
- based on template
- nest
